Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.config.dsl
Enum ComponentBuilder.Scope

    java.lang.Object
      java.lang.Enum<ComponentBuilder.Scope>
          org.mule.config.dsl.ComponentBuilder.Scope

All Implemented Interfaces:
  Serializable, Comparable<ComponentBuilder.Scope>

Enclosing class:
  ComponentBuilder

    public static enum ComponentBuilder.Scope

extends Enum<ComponentBuilder.Scope>

Enum Constant Summary
`Pooled`
`Prototype`
`Singleton`

Method Summary
`static ComponentBuilder.Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComponentBuilder.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Prototype

    public static final ComponentBuilder.Scope Prototype

### Pooled

    public static final ComponentBuilder.Scope Pooled

### Singleton

    public static final ComponentBuilder.Scope Singleton

Method Detail

### values

    public static final ComponentBuilder.Scope[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ComponentBuilder.Scope c : ComponentBuilder.Scope.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ComponentBuilder.Scope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.